Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network172.22.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
172.22.0.0
Broadcast address
172.22.63.255
First usable
172.22.0.1
Last usable
172.22.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Private (RFC 1918) 172.16.0.0/12
Office and home networks; not routed on the internet
Old class
B (default /16)
As numbers
Hex AC160000 · Integer 2887122944 to 2887139327
Reverse DNS zones
0.22.172.in-addr.arpa
1.22.172.in-addr.arpa
2.22.172.in-addr.arpa
3.22.172.in-addr.arpa
4.22.172.in-addr.arpa
5.22.172.in-addr.arpa
6.22.172.in-addr.arpa
7.22.172.in-addr.arpa
8.22.172.in-addr.arpa
9.22.172.in-addr.arpa
10.22.172.in-addr.arpa
11.22.172.in-addr.arpa
12.22.172.in-addr.arpa
13.22.172.in-addr.arpa
14.22.172.in-addr.arpa
15.22.172.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10101100.00010110.00000000.00000000172.22.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network10101100.00010110.00000000.00000000172.22.0.0
Broadcast10101100.00010110.00111111.11111111172.22.63.255
Split into smaller subnets/27

172.22.0.0/18 makes 512 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1172.22.0.0/27172.22.0.1 to 172.22.0.30172.22.0.3130
2172.22.0.32/27172.22.0.33 to 172.22.0.62172.22.0.6330
3172.22.0.64/27172.22.0.65 to 172.22.0.94172.22.0.9530
4172.22.0.96/27172.22.0.97 to 172.22.0.126172.22.0.12730
5172.22.0.128/27172.22.0.129 to 172.22.0.158172.22.0.15930
6172.22.0.160/27172.22.0.161 to 172.22.0.190172.22.0.19130
7172.22.0.192/27172.22.0.193 to 172.22.0.222172.22.0.22330
8172.22.0.224/27172.22.0.225 to 172.22.0.254172.22.0.25530
9172.22.1.0/27172.22.1.1 to 172.22.1.30172.22.1.3130
10172.22.1.32/27172.22.1.33 to 172.22.1.62172.22.1.6330
11172.22.1.64/27172.22.1.65 to 172.22.1.94172.22.1.9530
12172.22.1.96/27172.22.1.97 to 172.22.1.126172.22.1.12730
13172.22.1.128/27172.22.1.129 to 172.22.1.158172.22.1.15930
14172.22.1.160/27172.22.1.161 to 172.22.1.190172.22.1.19130
15172.22.1.192/27172.22.1.193 to 172.22.1.222172.22.1.22330
16172.22.1.224/27172.22.1.225 to 172.22.1.254172.22.1.25530
17172.22.2.0/27172.22.2.1 to 172.22.2.30172.22.2.3130
18172.22.2.32/27172.22.2.33 to 172.22.2.62172.22.2.6330
19172.22.2.64/27172.22.2.65 to 172.22.2.94172.22.2.9530
20172.22.2.96/27172.22.2.97 to 172.22.2.126172.22.2.12730
21172.22.2.128/27172.22.2.129 to 172.22.2.158172.22.2.15930
22172.22.2.160/27172.22.2.161 to 172.22.2.190172.22.2.19130
23172.22.2.192/27172.22.2.193 to 172.22.2.222172.22.2.22330
24172.22.2.224/27172.22.2.225 to 172.22.2.254172.22.2.25530
25172.22.3.0/27172.22.3.1 to 172.22.3.30172.22.3.3130
26172.22.3.32/27172.22.3.33 to 172.22.3.62172.22.3.6330
27172.22.3.64/27172.22.3.65 to 172.22.3.94172.22.3.9530
28172.22.3.96/27172.22.3.97 to 172.22.3.126172.22.3.12730
29172.22.3.128/27172.22.3.129 to 172.22.3.158172.22.3.15930
30172.22.3.160/27172.22.3.161 to 172.22.3.190172.22.3.19130
31172.22.3.192/27172.22.3.193 to 172.22.3.222172.22.3.22330
32172.22.3.224/27172.22.3.225 to 172.22.3.254172.22.3.25530
33172.22.4.0/27172.22.4.1 to 172.22.4.30172.22.4.3130
34172.22.4.32/27172.22.4.33 to 172.22.4.62172.22.4.6330
35172.22.4.64/27172.22.4.65 to 172.22.4.94172.22.4.9530
36172.22.4.96/27172.22.4.97 to 172.22.4.126172.22.4.12730
37172.22.4.128/27172.22.4.129 to 172.22.4.158172.22.4.15930
38172.22.4.160/27172.22.4.161 to 172.22.4.190172.22.4.19130
39172.22.4.192/27172.22.4.193 to 172.22.4.222172.22.4.22330
40172.22.4.224/27172.22.4.225 to 172.22.4.254172.22.4.25530
41172.22.5.0/27172.22.5.1 to 172.22.5.30172.22.5.3130
42172.22.5.32/27172.22.5.33 to 172.22.5.62172.22.5.6330
43172.22.5.64/27172.22.5.65 to 172.22.5.94172.22.5.9530
44172.22.5.96/27172.22.5.97 to 172.22.5.126172.22.5.12730
45172.22.5.128/27172.22.5.129 to 172.22.5.158172.22.5.15930
46172.22.5.160/27172.22.5.161 to 172.22.5.190172.22.5.19130
47172.22.5.192/27172.22.5.193 to 172.22.5.222172.22.5.22330
48172.22.5.224/27172.22.5.225 to 172.22.5.254172.22.5.25530
49172.22.6.0/27172.22.6.1 to 172.22.6.30172.22.6.3130
50172.22.6.32/27172.22.6.33 to 172.22.6.62172.22.6.6330
51172.22.6.64/27172.22.6.65 to 172.22.6.94172.22.6.9530
52172.22.6.96/27172.22.6.97 to 172.22.6.126172.22.6.12730
53172.22.6.128/27172.22.6.129 to 172.22.6.158172.22.6.15930
54172.22.6.160/27172.22.6.161 to 172.22.6.190172.22.6.19130
55172.22.6.192/27172.22.6.193 to 172.22.6.222172.22.6.22330
56172.22.6.224/27172.22.6.225 to 172.22.6.254172.22.6.25530
57172.22.7.0/27172.22.7.1 to 172.22.7.30172.22.7.3130
58172.22.7.32/27172.22.7.33 to 172.22.7.62172.22.7.6330
59172.22.7.64/27172.22.7.65 to 172.22.7.94172.22.7.9530
60172.22.7.96/27172.22.7.97 to 172.22.7.126172.22.7.12730
61172.22.7.128/27172.22.7.129 to 172.22.7.158172.22.7.15930
62172.22.7.160/27172.22.7.161 to 172.22.7.190172.22.7.19130
63172.22.7.192/27172.22.7.193 to 172.22.7.222172.22.7.22330
64172.22.7.224/27172.22.7.225 to 172.22.7.254172.22.7.25530
65172.22.8.0/27172.22.8.1 to 172.22.8.30172.22.8.3130
66172.22.8.32/27172.22.8.33 to 172.22.8.62172.22.8.6330
67172.22.8.64/27172.22.8.65 to 172.22.8.94172.22.8.9530
68172.22.8.96/27172.22.8.97 to 172.22.8.126172.22.8.12730
69172.22.8.128/27172.22.8.129 to 172.22.8.158172.22.8.15930
70172.22.8.160/27172.22.8.161 to 172.22.8.190172.22.8.19130
71172.22.8.192/27172.22.8.193 to 172.22.8.222172.22.8.22330
72172.22.8.224/27172.22.8.225 to 172.22.8.254172.22.8.25530
73172.22.9.0/27172.22.9.1 to 172.22.9.30172.22.9.3130
74172.22.9.32/27172.22.9.33 to 172.22.9.62172.22.9.6330
75172.22.9.64/27172.22.9.65 to 172.22.9.94172.22.9.9530
76172.22.9.96/27172.22.9.97 to 172.22.9.126172.22.9.12730
77172.22.9.128/27172.22.9.129 to 172.22.9.158172.22.9.15930
78172.22.9.160/27172.22.9.161 to 172.22.9.190172.22.9.19130
79172.22.9.192/27172.22.9.193 to 172.22.9.222172.22.9.22330
80172.22.9.224/27172.22.9.225 to 172.22.9.254172.22.9.25530
81172.22.10.0/27172.22.10.1 to 172.22.10.30172.22.10.3130
82172.22.10.32/27172.22.10.33 to 172.22.10.62172.22.10.6330
83172.22.10.64/27172.22.10.65 to 172.22.10.94172.22.10.9530
84172.22.10.96/27172.22.10.97 to 172.22.10.126172.22.10.12730
85172.22.10.128/27172.22.10.129 to 172.22.10.158172.22.10.15930
86172.22.10.160/27172.22.10.161 to 172.22.10.190172.22.10.19130
87172.22.10.192/27172.22.10.193 to 172.22.10.222172.22.10.22330
88172.22.10.224/27172.22.10.225 to 172.22.10.254172.22.10.25530
89172.22.11.0/27172.22.11.1 to 172.22.11.30172.22.11.3130
90172.22.11.32/27172.22.11.33 to 172.22.11.62172.22.11.6330
91172.22.11.64/27172.22.11.65 to 172.22.11.94172.22.11.9530
92172.22.11.96/27172.22.11.97 to 172.22.11.126172.22.11.12730
93172.22.11.128/27172.22.11.129 to 172.22.11.158172.22.11.15930
94172.22.11.160/27172.22.11.161 to 172.22.11.190172.22.11.19130
95172.22.11.192/27172.22.11.193 to 172.22.11.222172.22.11.22330
96172.22.11.224/27172.22.11.225 to 172.22.11.254172.22.11.25530
97172.22.12.0/27172.22.12.1 to 172.22.12.30172.22.12.3130
98172.22.12.32/27172.22.12.33 to 172.22.12.62172.22.12.6330
99172.22.12.64/27172.22.12.65 to 172.22.12.94172.22.12.9530
100172.22.12.96/27172.22.12.97 to 172.22.12.126172.22.12.12730
101172.22.12.128/27172.22.12.129 to 172.22.12.158172.22.12.15930
102172.22.12.160/27172.22.12.161 to 172.22.12.190172.22.12.19130
103172.22.12.192/27172.22.12.193 to 172.22.12.222172.22.12.22330
104172.22.12.224/27172.22.12.225 to 172.22.12.254172.22.12.25530
105172.22.13.0/27172.22.13.1 to 172.22.13.30172.22.13.3130
106172.22.13.32/27172.22.13.33 to 172.22.13.62172.22.13.6330
107172.22.13.64/27172.22.13.65 to 172.22.13.94172.22.13.9530
108172.22.13.96/27172.22.13.97 to 172.22.13.126172.22.13.12730
109172.22.13.128/27172.22.13.129 to 172.22.13.158172.22.13.15930
110172.22.13.160/27172.22.13.161 to 172.22.13.190172.22.13.19130
111172.22.13.192/27172.22.13.193 to 172.22.13.222172.22.13.22330
112172.22.13.224/27172.22.13.225 to 172.22.13.254172.22.13.25530
113172.22.14.0/27172.22.14.1 to 172.22.14.30172.22.14.3130
114172.22.14.32/27172.22.14.33 to 172.22.14.62172.22.14.6330
115172.22.14.64/27172.22.14.65 to 172.22.14.94172.22.14.9530
116172.22.14.96/27172.22.14.97 to 172.22.14.126172.22.14.12730
117172.22.14.128/27172.22.14.129 to 172.22.14.158172.22.14.15930
118172.22.14.160/27172.22.14.161 to 172.22.14.190172.22.14.19130
119172.22.14.192/27172.22.14.193 to 172.22.14.222172.22.14.22330
120172.22.14.224/27172.22.14.225 to 172.22.14.254172.22.14.25530
121172.22.15.0/27172.22.15.1 to 172.22.15.30172.22.15.3130
122172.22.15.32/27172.22.15.33 to 172.22.15.62172.22.15.6330
123172.22.15.64/27172.22.15.65 to 172.22.15.94172.22.15.9530
124172.22.15.96/27172.22.15.97 to 172.22.15.126172.22.15.12730
125172.22.15.128/27172.22.15.129 to 172.22.15.158172.22.15.15930
126172.22.15.160/27172.22.15.161 to 172.22.15.190172.22.15.19130
127172.22.15.192/27172.22.15.193 to 172.22.15.222172.22.15.22330
128172.22.15.224/27172.22.15.225 to 172.22.15.254172.22.15.25530
129172.22.16.0/27172.22.16.1 to 172.22.16.30172.22.16.3130
130172.22.16.32/27172.22.16.33 to 172.22.16.62172.22.16.6330
131172.22.16.64/27172.22.16.65 to 172.22.16.94172.22.16.9530
132172.22.16.96/27172.22.16.97 to 172.22.16.126172.22.16.12730
133172.22.16.128/27172.22.16.129 to 172.22.16.158172.22.16.15930
134172.22.16.160/27172.22.16.161 to 172.22.16.190172.22.16.19130
135172.22.16.192/27172.22.16.193 to 172.22.16.222172.22.16.22330
136172.22.16.224/27172.22.16.225 to 172.22.16.254172.22.16.25530
137172.22.17.0/27172.22.17.1 to 172.22.17.30172.22.17.3130
138172.22.17.32/27172.22.17.33 to 172.22.17.62172.22.17.6330
139172.22.17.64/27172.22.17.65 to 172.22.17.94172.22.17.9530
140172.22.17.96/27172.22.17.97 to 172.22.17.126172.22.17.12730
141172.22.17.128/27172.22.17.129 to 172.22.17.158172.22.17.15930
142172.22.17.160/27172.22.17.161 to 172.22.17.190172.22.17.19130
143172.22.17.192/27172.22.17.193 to 172.22.17.222172.22.17.22330
144172.22.17.224/27172.22.17.225 to 172.22.17.254172.22.17.25530
145172.22.18.0/27172.22.18.1 to 172.22.18.30172.22.18.3130
146172.22.18.32/27172.22.18.33 to 172.22.18.62172.22.18.6330
147172.22.18.64/27172.22.18.65 to 172.22.18.94172.22.18.9530
148172.22.18.96/27172.22.18.97 to 172.22.18.126172.22.18.12730
149172.22.18.128/27172.22.18.129 to 172.22.18.158172.22.18.15930
150172.22.18.160/27172.22.18.161 to 172.22.18.190172.22.18.19130
151172.22.18.192/27172.22.18.193 to 172.22.18.222172.22.18.22330
152172.22.18.224/27172.22.18.225 to 172.22.18.254172.22.18.25530
153172.22.19.0/27172.22.19.1 to 172.22.19.30172.22.19.3130
154172.22.19.32/27172.22.19.33 to 172.22.19.62172.22.19.6330
155172.22.19.64/27172.22.19.65 to 172.22.19.94172.22.19.9530
156172.22.19.96/27172.22.19.97 to 172.22.19.126172.22.19.12730
157172.22.19.128/27172.22.19.129 to 172.22.19.158172.22.19.15930
158172.22.19.160/27172.22.19.161 to 172.22.19.190172.22.19.19130
159172.22.19.192/27172.22.19.193 to 172.22.19.222172.22.19.22330
160172.22.19.224/27172.22.19.225 to 172.22.19.254172.22.19.25530
161172.22.20.0/27172.22.20.1 to 172.22.20.30172.22.20.3130
162172.22.20.32/27172.22.20.33 to 172.22.20.62172.22.20.6330
163172.22.20.64/27172.22.20.65 to 172.22.20.94172.22.20.9530
164172.22.20.96/27172.22.20.97 to 172.22.20.126172.22.20.12730
165172.22.20.128/27172.22.20.129 to 172.22.20.158172.22.20.15930
166172.22.20.160/27172.22.20.161 to 172.22.20.190172.22.20.19130
167172.22.20.192/27172.22.20.193 to 172.22.20.222172.22.20.22330
168172.22.20.224/27172.22.20.225 to 172.22.20.254172.22.20.25530
169172.22.21.0/27172.22.21.1 to 172.22.21.30172.22.21.3130
170172.22.21.32/27172.22.21.33 to 172.22.21.62172.22.21.6330
171172.22.21.64/27172.22.21.65 to 172.22.21.94172.22.21.9530
172172.22.21.96/27172.22.21.97 to 172.22.21.126172.22.21.12730
173172.22.21.128/27172.22.21.129 to 172.22.21.158172.22.21.15930
174172.22.21.160/27172.22.21.161 to 172.22.21.190172.22.21.19130
175172.22.21.192/27172.22.21.193 to 172.22.21.222172.22.21.22330
176172.22.21.224/27172.22.21.225 to 172.22.21.254172.22.21.25530
177172.22.22.0/27172.22.22.1 to 172.22.22.30172.22.22.3130
178172.22.22.32/27172.22.22.33 to 172.22.22.62172.22.22.6330
179172.22.22.64/27172.22.22.65 to 172.22.22.94172.22.22.9530
180172.22.22.96/27172.22.22.97 to 172.22.22.126172.22.22.12730
181172.22.22.128/27172.22.22.129 to 172.22.22.158172.22.22.15930
182172.22.22.160/27172.22.22.161 to 172.22.22.190172.22.22.19130
183172.22.22.192/27172.22.22.193 to 172.22.22.222172.22.22.22330
184172.22.22.224/27172.22.22.225 to 172.22.22.254172.22.22.25530
185172.22.23.0/27172.22.23.1 to 172.22.23.30172.22.23.3130
186172.22.23.32/27172.22.23.33 to 172.22.23.62172.22.23.6330
187172.22.23.64/27172.22.23.65 to 172.22.23.94172.22.23.9530
188172.22.23.96/27172.22.23.97 to 172.22.23.126172.22.23.12730
189172.22.23.128/27172.22.23.129 to 172.22.23.158172.22.23.15930
190172.22.23.160/27172.22.23.161 to 172.22.23.190172.22.23.19130
191172.22.23.192/27172.22.23.193 to 172.22.23.222172.22.23.22330
192172.22.23.224/27172.22.23.225 to 172.22.23.254172.22.23.25530
193172.22.24.0/27172.22.24.1 to 172.22.24.30172.22.24.3130
194172.22.24.32/27172.22.24.33 to 172.22.24.62172.22.24.6330
195172.22.24.64/27172.22.24.65 to 172.22.24.94172.22.24.9530
196172.22.24.96/27172.22.24.97 to 172.22.24.126172.22.24.12730
197172.22.24.128/27172.22.24.129 to 172.22.24.158172.22.24.15930
198172.22.24.160/27172.22.24.161 to 172.22.24.190172.22.24.19130
199172.22.24.192/27172.22.24.193 to 172.22.24.222172.22.24.22330
200172.22.24.224/27172.22.24.225 to 172.22.24.254172.22.24.25530
201172.22.25.0/27172.22.25.1 to 172.22.25.30172.22.25.3130
202172.22.25.32/27172.22.25.33 to 172.22.25.62172.22.25.6330
203172.22.25.64/27172.22.25.65 to 172.22.25.94172.22.25.9530
204172.22.25.96/27172.22.25.97 to 172.22.25.126172.22.25.12730
205172.22.25.128/27172.22.25.129 to 172.22.25.158172.22.25.15930
206172.22.25.160/27172.22.25.161 to 172.22.25.190172.22.25.19130
207172.22.25.192/27172.22.25.193 to 172.22.25.222172.22.25.22330
208172.22.25.224/27172.22.25.225 to 172.22.25.254172.22.25.25530
209172.22.26.0/27172.22.26.1 to 172.22.26.30172.22.26.3130
210172.22.26.32/27172.22.26.33 to 172.22.26.62172.22.26.6330
211172.22.26.64/27172.22.26.65 to 172.22.26.94172.22.26.9530
212172.22.26.96/27172.22.26.97 to 172.22.26.126172.22.26.12730
213172.22.26.128/27172.22.26.129 to 172.22.26.158172.22.26.15930
214172.22.26.160/27172.22.26.161 to 172.22.26.190172.22.26.19130
215172.22.26.192/27172.22.26.193 to 172.22.26.222172.22.26.22330
216172.22.26.224/27172.22.26.225 to 172.22.26.254172.22.26.25530
217172.22.27.0/27172.22.27.1 to 172.22.27.30172.22.27.3130
218172.22.27.32/27172.22.27.33 to 172.22.27.62172.22.27.6330
219172.22.27.64/27172.22.27.65 to 172.22.27.94172.22.27.9530
220172.22.27.96/27172.22.27.97 to 172.22.27.126172.22.27.12730
221172.22.27.128/27172.22.27.129 to 172.22.27.158172.22.27.15930
222172.22.27.160/27172.22.27.161 to 172.22.27.190172.22.27.19130
223172.22.27.192/27172.22.27.193 to 172.22.27.222172.22.27.22330
224172.22.27.224/27172.22.27.225 to 172.22.27.254172.22.27.25530
225172.22.28.0/27172.22.28.1 to 172.22.28.30172.22.28.3130
226172.22.28.32/27172.22.28.33 to 172.22.28.62172.22.28.6330
227172.22.28.64/27172.22.28.65 to 172.22.28.94172.22.28.9530
228172.22.28.96/27172.22.28.97 to 172.22.28.126172.22.28.12730
229172.22.28.128/27172.22.28.129 to 172.22.28.158172.22.28.15930
230172.22.28.160/27172.22.28.161 to 172.22.28.190172.22.28.19130
231172.22.28.192/27172.22.28.193 to 172.22.28.222172.22.28.22330
232172.22.28.224/27172.22.28.225 to 172.22.28.254172.22.28.25530
233172.22.29.0/27172.22.29.1 to 172.22.29.30172.22.29.3130
234172.22.29.32/27172.22.29.33 to 172.22.29.62172.22.29.6330
235172.22.29.64/27172.22.29.65 to 172.22.29.94172.22.29.9530
236172.22.29.96/27172.22.29.97 to 172.22.29.126172.22.29.12730
237172.22.29.128/27172.22.29.129 to 172.22.29.158172.22.29.15930
238172.22.29.160/27172.22.29.161 to 172.22.29.190172.22.29.19130
239172.22.29.192/27172.22.29.193 to 172.22.29.222172.22.29.22330
240172.22.29.224/27172.22.29.225 to 172.22.29.254172.22.29.25530
241172.22.30.0/27172.22.30.1 to 172.22.30.30172.22.30.3130
242172.22.30.32/27172.22.30.33 to 172.22.30.62172.22.30.6330
243172.22.30.64/27172.22.30.65 to 172.22.30.94172.22.30.9530
244172.22.30.96/27172.22.30.97 to 172.22.30.126172.22.30.12730
245172.22.30.128/27172.22.30.129 to 172.22.30.158172.22.30.15930
246172.22.30.160/27172.22.30.161 to 172.22.30.190172.22.30.19130
247172.22.30.192/27172.22.30.193 to 172.22.30.222172.22.30.22330
248172.22.30.224/27172.22.30.225 to 172.22.30.254172.22.30.25530
249172.22.31.0/27172.22.31.1 to 172.22.31.30172.22.31.3130
250172.22.31.32/27172.22.31.33 to 172.22.31.62172.22.31.6330
251172.22.31.64/27172.22.31.65 to 172.22.31.94172.22.31.9530
252172.22.31.96/27172.22.31.97 to 172.22.31.126172.22.31.12730
253172.22.31.128/27172.22.31.129 to 172.22.31.158172.22.31.15930
254172.22.31.160/27172.22.31.161 to 172.22.31.190172.22.31.19130
255172.22.31.192/27172.22.31.193 to 172.22.31.222172.22.31.22330
256172.22.31.224/27172.22.31.225 to 172.22.31.254172.22.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses